Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class DiagramLabelImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.DiagramElementImpl
                      org.eclipse.gmf.gmfgraph.impl.AbstractNodeImpl
                          org.eclipse.gmf.gmfgraph.impl.NodeImpl
                              org.eclipse.gmf.gmfgraph.impl.DiagramLabelImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AbstractNode, DiagramElement, DiagramLabel, Identity, Node

    public class DiagramLabelImpl

extends NodeImpl
implements DiagramLabel

An implementation of the model object 'Diagram Label'.

The following features are implemented:

- `Element Icon`
- `Accessor`
- `Container`
- `External`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected ChildAccess` `accessor` The cached value of the '`Accessor`' reference
`protected ChildAccess` `container` The cached value of the '`Container`' reference
`protected static boolean` `ELEMENT_ICON_EDEFAULT` The default value of the '`Element Icon`' attribute
`protected boolean` `elementIcon` The cached value of the '`Element Icon`' attribute
`protected static boolean` `EXTERNAL_EDEFAULT` The default value of the '`External`' attribute

Fields inherited from class org.eclipse.gmf.gmfgraph.impl.NodeImpl
`AFFIXED_PARENT_SIDE_EDEFAULT, affixedParentSide, contentPane, RESIZE_CONSTRAINT_EDEFAULT, resizeConstraint`

Fields inherited from class org.eclipse.gmf.gmfgraph.impl.DiagramElementImpl
`facets, figure, name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `DiagramLabelImpl()`

Method Summary
`ChildAccess` `basicGetAccessor()`
`ChildAccess` `basicGetContainer()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`ChildAccess` `getAccessor()`
`ChildAccess` `getContainer()`
`boolean` `isElementIcon()`
`boolean` `isExternal()`
`void` `setAccessor(ChildAccess newAccessor)`
`void` `setContainer(ChildAccess newContainer)`
`void` `setElementIcon(boolean newElementIcon)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.gmfgraph.impl.NodeImpl
`basicGetContentPane, getAffixedParentSide, getContentPane, getResizeConstraint, setAffixedParentSide, setContentPane, setResizeConstraint`

Methods inherited from class org.eclipse.gmf.gmfgraph.impl.DiagramElementImpl
`basicGetFigure, eInverseRemove, getFacets, getFigure, getName, setFigure, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Node
`getAffixedParentSide, getContentPane, getResizeConstraint, setAffixedParentSide, setContentPane, setResizeConstraint`

Methods inherited from interface org.eclipse.gmf.gmfgraph.DiagramElement
`getFacets, getFigure, setFigure`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ELEMENT_ICON_EDEFAULT

    protected static final boolean ELEMENT_ICON_EDEFAULT

  The default value of the '`Element Icon`' attribute.

  See Also:
    `isElementIcon()`, Constant Field Values
  ** Generated **
  Ordered:

### elementIcon

    protected boolean elementIcon

  The cached value of the '`Element Icon`' attribute.

  See Also:
    `isElementIcon()`
  ** Generated **
  Ordered:

### accessor

    protected ChildAccess accessor

  The cached value of the '`Accessor`' reference.

  See Also:
    `getAccessor()`
  ** Generated **
  Ordered:

### container

    protected ChildAccess container

  The cached value of the '`Container`' reference.

  See Also:
    `getContainer()`
  ** Generated **
  Ordered:

### EXTERNAL_EDEFAULT

    protected static final boolean EXTERNAL_EDEFAULT

  The default value of the '`External`' attribute.

  See Also:
    `isExternal()`, Constant Field Values
  ** Generated **
  Ordered:

Constructor Detail

### DiagramLabelImpl

    protected DiagramLabelImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `NodeImpl`
  ** Generated **

### isElementIcon

    public boolean isElementIcon()

  Specified by:
    `isElementIcon` in interface `DiagramLabel`
  Returns:
    the value of the 'Element Icon' attribute.
  See Also:
    `DiagramLabel.setElementIcon(boolean)`, `GMFGraphPackage.getDiagramLabel_ElementIcon()`
  ** Generated **

### setElementIcon

    public void setElementIcon(boolean newElementIcon)

  Specified by:
    `setElementIcon` in interface `DiagramLabel`
  Parameters:
    `newElementIcon` - the new value of the 'Element Icon' attribute.
  See Also:
    `DiagramLabel.isElementIcon()`
  ** Generated **

### getAccessor

    public ChildAccess getAccessor()

  Specified by:
    `getAccessor` in interface `DiagramLabel`
  Returns:
    the value of the 'Accessor' reference.
  See Also:
    `DiagramLabel.setAccessor(ChildAccess)`, `GMFGraphPackage.getDiagramLabel_Accessor()`
  ** Generated **

### basicGetAccessor

    public ChildAccess basicGetAccessor()

  ** Generated **

### setAccessor

    public void setAccessor(ChildAccess newAccessor)

  Specified by:
    `setAccessor` in interface `DiagramLabel`
  Parameters:
    `newAccessor` - the new value of the 'Accessor' reference.
  See Also:
    `DiagramLabel.getAccessor()`
  ** Generated **

### getContainer

    public ChildAccess getContainer()

  Specified by:
    `getContainer` in interface `DiagramLabel`
  Returns:
    the value of the 'Container' reference.
  See Also:
    `DiagramLabel.setContainer(ChildAccess)`, `GMFGraphPackage.getDiagramLabel_Container()`
  ** Generated **

### basicGetContainer

    public ChildAccess basicGetContainer()

  ** Generated **

### setContainer

    public void setContainer(ChildAccess newContainer)

  Specified by:
    `setContainer` in interface `DiagramLabel`
  Parameters:
    `newContainer` - the new value of the 'Container' reference.
  See Also:
    `DiagramLabel.getContainer()`
  ** Generated **

### isExternal

    public boolean isExternal()

  Specified by:
    `isExternal` in interface `DiagramLabel`
  Returns:
    the value of the 'External' attribute.
  See Also:
    `GMFGraphPackage.getDiagramLabel_External()`
  ** Generated **
    NOT

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `NodeImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `NodeImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `NodeImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `NodeImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `NodeImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.